SDL_ceilf(3)

NAME
SDL_ceilf - Compute the ceiling of x .

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

float SDL_ceilf(float x);

DESCRIPTION
The ceiling of x is the smallest integer y such that y>x , i.e x rounded up to the nearest integer.

Domain: -INF<=x<=INF Range: -INF<=y<=INF , y integer

This function operates on single-precision floating point values, use

SDL_ceil
 for double-precision floats.

FUNCTION PARAMETERS

x   floating point value.

RETURN VALUE
Returns the ceiling of x .

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_ceil(3), •(3), SDL_floorf(3), •(3), SDL_truncf(3), •(3), SDL_roundf(3), •(3), SDL_lroundf(3)